package com.school.project.controller;

import com.school.project.dto.teacher.TeacherViewCoursesDTO;
import com.school.project.dto.teacher.TeacherViewDataDTO;
import com.school.project.service.teacher.TeacherServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.security.Principal;

@RestController
@RequestMapping("/teacher")
public class TeacherController {

    @Autowired
    TeacherServiceImpl teacherService;

    @GetMapping("")
    public TeacherViewDataDTO getTeacherData(Principal principal) {
        return teacherService.getTeacherData(principal.getName());
    }

    @GetMapping("/course")
    public TeacherViewCoursesDTO getTeacherCourses(Principal principal) {
        return teacherService.getTeacherCourses(principal.getName());
    }

}
