package com.school.project.model.userRegistration;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.sun.istack.NotNull;
import lombok.*;
import org.springframework.context.annotation.Lazy;

import javax.persistence.*;

@Data
@Entity(name = "admin")
@NoArgsConstructor
public class Admin {

    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE)
    @Column(name = "admin_id")
    private Long adminId;

    @NotNull
    @Column(name = "admin_name")
    private String name;

    @OneToOne(fetch = FetchType.LAZY)
    @MapsId
    @JoinColumn(name = "admin_id")
    @ToString.Exclude
    @JsonIgnore
    private User adminAppUser;
}
